summaryrefslogtreecommitdiffstats
path: root/accessibility/mag/mag.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'accessibility/mag/mag.SlackBuild')
-rw-r--r--accessibility/mag/mag.SlackBuild66
1 files changed, 66 insertions, 0 deletions
diff --git a/accessibility/mag/mag.SlackBuild b/accessibility/mag/mag.SlackBuild
new file mode 100644
index 0000000000..76fd2d911a
--- /dev/null
+++ b/accessibility/mag/mag.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for mag
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# VERSION comes from the last modified date on the homepage.
+
+PRGNAM=mag
+VERSION=${VERSION:-20100913}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Since it's just a single C source file, we don't have a
+# $TMP/$PRGNAM-$VERSION and don't need find/chown/chmod stuff.
+# In case you're wondering, -Wl,-s builds a stripped binary.
+rm -rf $PKG
+mkdir -p $PKG/usr/bin $OUTPUT
+gcc $SLKCFLAGS -Wl,-s -o $PKG/usr/bin/$PRGNAM $PRGNAM.c -lX11
+
+# Man page written by SlackBuild author. Please don't include mag.rst
+# in the package, it's the source for the man page only.
+mkdir -p $PKG/usr/man/man1
+gzip -9c < $CWD/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+# Include our own README.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}